Package org.eclipse.jface.databinding.util

## Class JFaceProperties

- java.lang.Object
- - org.eclipse.jface.databinding.util.JFaceProperties

    public class JFaceProperties
    extends Object

Helper class for providing `IObservableValue` instances for properties of an object that fires property changes events to an `IPropertyChangeListener`.

Since:
  1.3

### Constructor Summary

Constructors
`JFaceProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IValueProperty` `value​(Class<?> clazz, String fieldName, String propertyName)` Returns a property for observing the property of the given model object whose getter and setter use the suffix fieldName in the same manner as a Java bean and which fires events to an `IPropertyChangeListener` for the given propertyName when the value of the field changes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JFaceProperties

    public JFaceProperties()

### Method Detail

#### value

    public static IValueProperty value​(Class<?> clazz,
                                       String fieldName,
                                       String propertyName)

Returns a property for observing the property of the given model object whose getter and setter use the suffix fieldName in the same manner as a Java bean and which fires events to an `IPropertyChangeListener` for the given propertyName when the value of the field changes.

Parameters:
  `clazz` - the class defining the getter and setter
  `fieldName` - the field name
  `propertyName` - the property name
Returns:
  an observable value